### Method

# Foundry LspClient await

#### Declaration [src]

    DexFuture*
    foundry_lsp_client_await (
      FoundryLspClient* self
    )

#### Description [src]

Await completion of the client subprocess.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves when the subprocess has exited or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.